---
title: WebGLActiveInfo
slug: Web/API/WebGLActiveInfo
tags:
  - API
  - Reference
  - WebGL
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong>WebGLActiveInfo</strong> interface is part of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> and represents the information returned by calling the {{domxref("WebGLRenderingContext.getActiveAttrib()")}} and {{domxref("WebGLRenderingContext.getActiveUniform()")}} methods.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("WebGLActiveInfo.name")}}</dt>
 <dd>The read-only name of the requested variable.</dd>
 <dt>{{domxref("WebGLActiveInfo.size")}}</dt>
 <dd>The read-only size of the requested variable.</dd>
 <dt>{{domxref("WebGLActiveInfo.type")}}</dt>
 <dd>The read-only type of the requested variable.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>A <code>WebGLActiveInfo</code> object is returned by:</p>

<ul>
 <li>{{domxref("WebGLRenderingContext.getActiveAttrib()")}}</li>
 <li>{{domxref("WebGLRenderingContext.getActiveUniform()")}} or</li>
 <li>{{domxref("WebGL2RenderingContext.getTransformFeedbackVarying()")}}</li>
</ul>

<pre class="brush: js">WebGLActiveInfo? getActiveAttrib(WebGLProgram? program, GLuint index);
WebGLActiveInfo? getActiveUniform(WebGLProgram? program, GLuint index);
WebGLActiveInfo? getTransformFeedbackVarying(WebGLProgram? program, GLuint index)
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.11", "WebGLActiveInfo")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLActiveInfo")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getActiveAttrib()")}}</li>
 <li>{{domxref("WebGLRenderingContext.getActiveUniform()")}}</li>
</ul>
